using AutoMapper;
using DigitalData.UserManager.Application.DTOs.ModuleOfUser;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Application.MappingProfiles
{
    public class ModuleOfUserMappingProfile : Profile
    {
        public ModuleOfUserMappingProfile()
        {
            CreateMap<ModuleOfUser, ModuleOfUserCreateDto>();
            CreateMap<ModuleOfUser, ModuleOfUserReadDto>();
            CreateMap<ModuleOfUser, ModuleOfUserUpdateDto>();

            CreateMap<ModuleOfUserCreateDto, ModuleOfUser>();
            CreateMap<ModuleOfUserReadDto, ModuleOfUser>();
            CreateMap<ModuleOfUserUpdateDto, ModuleOfUser>();
        }
    }
}
